## org.apache.batik.dom
Class GenericDocumentType

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.GenericDocumentType

All Implemented Interfaces:
  java.io.Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, org.w3c.dom.DocumentType, EventTarget, org.w3c.dom.Node

    public class GenericDocumentType

extends AbstractChildNode
implements org.w3c.dom.DocumentType

This class implements the `DocumentType` interface.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `publicId`
`protected java.lang.String` `qualifiedName`
`protected java.lang.String` `systemId`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`GenericDocumentType(java.lang.String qualifiedName, java.lang.String publicId, java.lang.String systemId)`

Method Summary
`org.w3c.dom.NamedNodeMap` `getEntities()` DOM: Implements `DocumentType.getEntities()`.
`java.lang.String` `getInternalSubset()` DOM: Implements `DocumentType.getInternalSubset()`.
`java.lang.String` `getName()` DOM: Implements `DocumentType.getName()`.
`java.lang.String` `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` `getNodeType()`
`org.w3c.dom.NamedNodeMap` `getNotations()` DOM: Implements `DocumentType.getNotations()`.
`java.lang.String` `getPublicId()` DOM: Implements `DocumentType.getPublicId()`.
`java.lang.String` `getSystemId()` DOM: Implements `DocumentType.getSystemId()`.
`boolean` `isReadonly()` Tests whether this node is readonly.
`protected org.w3c.dom.Node` `newNode()` Returns a new uninitialized instance of this object's class.
`void` `setReadonly(boolean ro)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, addEventListenerNS, appendChild, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, copyInto, createDOMException, deepCopyInto, deepExport, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getChildNodes, getCurrentDocument, getEventSupport, getFeature, getFirstChild, getLastChild, getLocalName, getManagerData, getNamespaceURI, getNodeValue, getOwnerDocument, getParentNodeEventTarget, getPrefix, getTextContent, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasChildNodes, hasEventListenerNS, initializeEventSupport, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeEventListener, removeEventListenerNS, replaceChild, setManagerData, setNodeName, setNodeValue, setOwnerDocument, setPrefix, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### qualifiedName

    protected java.lang.String qualifiedName

### publicId

    protected java.lang.String publicId

### systemId

    protected java.lang.String systemId

Constructor Detail

### GenericDocumentType

    public GenericDocumentType(java.lang.String qualifiedName,
                               java.lang.String publicId,
                               java.lang.String systemId)

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Returns:
    The name of the DTD.

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`

### isReadonly

    public boolean isReadonly()

  Description copied from interface: `ExtendedNode`
  Tests whether this node is readonly.

  Specified by:
    `isReadonly` in interface `ExtendedNode`

### setReadonly

    public void setReadonly(boolean ro)

  Description copied from interface: `ExtendedNode`
  Sets this node readonly attribute.

  Specified by:
    `setReadonly` in interface `ExtendedNode`

### getName

    public java.lang.String getName()

  DOM: Implements `DocumentType.getName()`.

  Specified by:
    `getName` in interface `org.w3c.dom.DocumentType`
  Returns:
    The name of the DTD.

### getEntities

    public org.w3c.dom.NamedNodeMap getEntities()

  DOM: Implements `DocumentType.getEntities()`.

  Specified by:
    `getEntities` in interface `org.w3c.dom.DocumentType`
  Returns:
    null.

### getNotations

    public org.w3c.dom.NamedNodeMap getNotations()

  DOM: Implements `DocumentType.getNotations()`.

  Specified by:
    `getNotations` in interface `org.w3c.dom.DocumentType`
  Returns:
    null.

### getPublicId

    public java.lang.String getPublicId()

  DOM: Implements `DocumentType.getPublicId()`.

  Specified by:
    `getPublicId` in interface `org.w3c.dom.DocumentType`
  Returns:
    The public id.

### getSystemId

    public java.lang.String getSystemId()

  DOM: Implements `DocumentType.getSystemId()`.

  Specified by:
    `getSystemId` in interface `org.w3c.dom.DocumentType`
  Returns:
    The public id.

### getInternalSubset

    public java.lang.String getInternalSubset()

  DOM: Implements `DocumentType.getInternalSubset()`.

  Specified by:
    `getInternalSubset` in interface `org.w3c.dom.DocumentType`
  Returns:
    The public id.

### newNode

    protected org.w3c.dom.Node newNode()

  Description copied from class: `AbstractNode`
  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.